#!/bin/bash

# Get this as an absolute path to this script
BASEDIR="$(cd "$(dirname "$0")"; pwd -P)"

cd $BASEDIR

if [ ! -d fixed_pdfs ]; then
	mkdir fixed_pdfs
fi

find ./ -name '*.pdf' -maxdepth 1 -print0 | while IFS= read -r -d '' original_pdf_file

do
	./gs -dNOPAUSE -dBATCH -dOverrideICC -sDEVICE=pdfwrite -sOutputFile="./fixed_pdfs/$original_pdf_file" "$original_pdf_file"
done

